| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libdar::smart_node< T > Class Template Reference

`#include <smart_pointer.hpp>`

Inherits libdar::on_pool.

## Public Member Functions
| smart_node (T *arg)
void | add_ref ()
void | del_ref ()
T & | get_val ()
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

### template<class T>
class libdar::smart_node< T >

class which holds the address of the allocated memory for many smart_pointers

Note
  it should not be used directly, rather see below the smart_pointer class template

Definition at line 42 of file smart_pointer.hpp.

## Constructor & Destructor Documentation

template<class T>

libdar::smart_node< T >::smart_node | ( | T * | arg | ) |
| inline

Note
  the given pointed to object passes under the responsibility of the smart_node

Definition at line 46 of file smart_pointer.hpp.

The documentation for this class was generated from the following file:

- smart_pointer.hpp